/*                                                                |- Impulse -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is the Impulse utility library
 * for Impulse. (Part of the ROWS distribution)
 *
 * The Initial Developer of the Original Code is
 * Daniel Berrange. Portions created by Daniel Berrange
 * are Copyright (C) 1999 Daniel Berrange.
 * All Rights Reserved
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * text.h
 * --------
 *
 * Internationalisation support
 */

#ifndef __impulse_util_text_int_h
#define __impulse_util_text_int_h

#include <impulse/util/unistring.h>
#include <impulse/util/text.h>

#ifdef __cplusplus
extern "C" {  
#endif
  
  struct _impulse_text
  {
    impulse_unistring package;
    impulse_int length;
    impulse_byte *map;
    impulse_uint nmessages;
    struct _impulse_unistring *messages;
  };
  
#ifdef __cplusplus
}
#endif

#endif

