/*                                                                  |- CFSFC -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is Copyright (C) 1998 Andrew Hunter.
 * All Rights Reserved. 
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter.
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * box_int.h
 * ---------
 *
 * Box widget internal information
 */

#ifndef __impulse_rows_box_int_h
#define __impulse_rows_box_int_h

#include <impulse/rows/box.h>

#ifdef __cplusplus
extern "C" {  
#endif

typedef struct {
  ROWS_point position;
  
  ROWS_point virtual_box;
  ROWS_point physical_box;

  ROWS_point scroll;
} _p_ROWS_box_data;

#ifdef __cplusplus
}
#endif

#endif
